# Summary

* [Website](http://strapi.io)
* [GitHub](https://github.com/strapi/strapi)


* [Documentation](README.md)


* [Introduction](introduction.md)
    * [Getting Started](introduction.md#getting-started)
    * [Alternatives](introduction.md#alternatives)
    * [Key-features](introduction.md#key-features)


* [Command-Line Interface](cli.md)
    * [Login](cli.md#login)
    * [Create a new project](cli.md#create-a-new-project)
    * [Start the server](cli.md#start-the-server)
    * [Access the console](cli.md#access-the-console)
    * [Generate an API](cli.md#generate-an-api)
    * [Print the Strapi version](cli.md#print-the-strapi-version)
    * [Link your application](cli.md#link-your-application)
    * [Logout](cli.md#logout)


* [Configuration](configuration.md)
  * [Application package](configuration.md#application-package)
  * [Global settings](configuration.md#global-settings)
  * [General environment settings](configuration.md#general-environment-settings)
  * [Request](configuration.md#request)
  * [Response](configuration.md#response)
  * [Databases](configuration.md#databases)
  * [Security](configuration.md#security)


* [Router](router.md)
  * [Route format](router.md#route-format)
  * [Route parameters](router.md#route-parameters)
  * [Router prefix](router.md#router-prefix)
  * [Policies and route process](router.md#policies-and-route-process)


* [Blueprints](blueprints.md)
  * [find records](blueprints.md#find-records)
  * [findOne record](blueprints.md#findone-record)
  * [create a record](blueprints.md#create-a-record)
  * [update a record](blueprints.md#update-a-record)
  * [destroy a record](blueprints.md#destroy-a-record)
  * [add to a record](blueprints.md#add-to-a-record)
  * [remove from a record](blueprints.md#remove-from-a-record)


* [Models](models.md)
  * [Model settings](models.md#model-settings)
  * [Associations](models.md#associations)
  * [Lifecycle Callbacks](models.md#lifecycle-callbacks)


* [Query Language](queries.md)
  * [Query Methods](queries.md#query-methods)
  * [Query Language](queries.md#query-language)


* [GraphQL](graphql.md)
  * [Configuration](graphql.md#configuration)
  * [Execute simple query](graphql.md#execute-simple-query)
  * [Execute complex queries](graphql.md#execute-complex-queries)


* [Internationalization](internationalization.md)
  * [i18n settings](internationalization.md#i18n-settings)
  * [Locales](internationalization.md#locales)
  * [Translate responses](internationalization.md#translate-responses)


* [Sessions](sessions.md)


* [Services](services.md)


* [Views](views.md)
  * [Render a view](views.md#render-a-view)
  * [Supported template engines](views.md#supported-template-engines)


* [Logging](logging.md)
  * [Logging with Metadata](logging.md#logging-with-metadata)
  * [String interpolation](logging.md#string-interpolation)
  * [Logging levels](logging.md#logging-levels)


* [Context](context.md)
  * [API](context.md#api)
  * [Request aliases](context.md#request-aliases)
  * [Response aliases](context.md#response-aliases)


* [Request](request.md)


* [Response](response.md)


* [Admin](admin.md)
  * [Dashboard](admin.md#dashboard)
  * [Data Explorer](admin.md#data-explorer)
  * [Users](admin.md#users)
  * [Customization](admin.md#customization)


* [Users](users.md)
  * [Local Registration](users.md#local-registration)
  * [Local Login](users.md#local-login)
  * [Authentication](users.md#authentication)
  * [Providers](users.md#providers)
  * [Custom providers](users.md#custom-providers)
  * [Forgot password](users.md#forgot-password)
  * [Change password](users.md#change-password)
  * [Accessing user from requests](users.md#accessing-user-from-requests)


* [Email](email.md)
  * [Email config](email.md#email-config)
  * [Email service](email.md#email-service)
  * [Email API](email.md#email-api)
  * [Email model](email.md#email-model)


* [Upload](upload.md)
  * [Upload config](upload.md#upload-config)
  * [Upload service](upload.md#upload-service)
  * [Upload API](upload.md#upload-api)
  * [Upload model](upload.md#upload-model)


* [Customization](customization.md)


* [Testing](testing.md)
  * [Setup](testing.md#setup)
  * [Bootstrap](testing.md#boostrap)
  * [Writing tests](testing.md#writing-tests)
  * [Running tests](testing.md#running-tests)
